Subject: Re: More on git over HTTP POST

From: "H. Peter Anvin" <[email-masked]>
Date: Sun, 03 Aug 2008 04:42:54 -0700

[email-masked] wrote:
> 
> actually, it's not just a matter of not getting 'past this dark age of 
> the Internet', it's an issue that so many people are tunneling 
> _everyting_ over http (including the bad guys tunneling malware) that 
> proxies are getting more aggressive then they have ever been before in 
> pulling apart the payload and analysing it before letting it get through 
> to the far side.
> 

... which is of course because of said proxies that this is happening, too.

There are too many idiots out there building "security software" and 
running IT departments, that's really the bottom line.

By the way, I want to say *thank you* to Shawn for tackling this 
project: this has been a major issue for kernel.org, and getting 
something like this deployed would be incredibly helpful.

	-hpa